from django.contrib import admin

from .models import Recipe, Ingredient, IngredientUsage, Step

class IngredientUsageInline(admin.TabularInline):
    model = IngredientUsage
    extra = 1

class StepInline(admin.TabularInline):
    model = Step
    extra = 1

class RecipeAdmin(admin.ModelAdmin):
    inlines = (IngredientUsageInline,StepInline)
    fields =  [ 'name' ]

admin.site.register(Recipe,RecipeAdmin)
admin.site.register(Ingredient)
